\chapter{Literature Review and Scientific Gaps}
\label{ch:chapter_2}

\section{Literature Review}
\label{lit_review}
\subsection{Fundamentals of Solidification}
To study the feasibility of grain size and grain morphology control in metal additive manufacturing, it is vital to understand the fundamental concepts of the solidification phenomenon. Two key aspects of the solidification process to be understood are
\begin{description}
  \item[$\bullet$] Nucleation phenomenon
  \item[$\bullet$] Growth mechanism
\end{description}

Some of the fundamental concepts of the solidification process discussed in this section can be referred to the literature \cite{david1989correlation} and books by Kurz-Fisher \cite{kurzfundamentals} and Dantzig-Rappaz \cite{dantzig2016solidification}.
\subsubsection{Nucleation}
There are 2 types of nucleation that will happen within the liquid.
\begin{description}
  \item[$\bullet$] Homogeneous nucleation
  \item[$\bullet$] Heterogeneous nucleation
\end{description}
 
\noindent\textbf{Thermodynamics of homogeneous nucleation:} Homogeneous nucleation occurs within the liquid melt without the help of any inclusions, impurities or surfaces like substrates and walls during casting. The Gibbs free energy of the solid phase ($G_s^m$) is higher than the free energy of liquid phase ($G_l^m$) above the melting point ($T>T_m$). According to thermodynamics, low energy phase is favored over the higher energy phase. Hence it is not energetically favorable for the solid phase to exist above melting point. In melt at higher temperatures, the atoms are disordered with high mobility. As the temperature decreases below the equilibrium melting point ($T_m$), the atoms join together form clusters forming short range order over few atomic radii. As the temperature is further decreased, some of the clusters can overcome the energy barrier to form a nuclei of structured solid phase within the liquid phase. Other clusters which can not overcome the energy barrier dissolve back into liquid phase. To quantify it, free energy change of the cluster has to be calculated. Let us assume the geometry of the clusters to be spherical with radius \textbf{R}. When a cluster is formed, there are 2 energies associated with it (a) volumetric energy and (b) interfacial surface energy between the solid cluster and liquid. Hence the total free energy change is the sum of the change in volumetric free energy term and surface energy term. Hence change in free energy of the cluster is given by \Cref{freeenergy_eqn_ch2}.
\begin{equation}
\label{freeenergy_eqn_ch2}
\Delta G = V*\Delta{g_v} + A*\gamma_{sl}
\end{equation}

where $\Delta{G}$ is the free energy change, $V$ is the volume of the cluster, $\Delta{g_v}$ is the volumetric free energy change per unit volume, $A$ is the surface area of the cluster and $\gamma_{sl}$ is the interfacial surface energy per unit area of the cluster. Since the cluster is assumed to be spherical, the surface area and volume of the cluster can be calculated as a function of it`s radius. For $T<T_m$, when the clusters begin to form in the liquid, the difference in temperature ($\Delta{T} = T -T_m$) is termed as undercooling. The volumetric free energy can be expressed as a function of entropy change $\left(\\Delta{g_v} = \rho*{\Delta{s}}*\Delta{T}\right)$. Hence, the total free energy change of the system in \Cref{freeenergy_eqn_ch2} can be derived as
\begin{equation}
\label{expfreeenergy_eqn_ch2}
\Delta{G} = -\frac{4}{3}\pi{R^3}\rho\Delta{s_f}\Delta{T} + 4\pi{R^2}\gamma_{sl}
\end{equation}

From \Cref{expfreeenergy_eqn_ch2}, it can be observed that the volumetric energy term ($\propto R^3$) reduces the overall free energy of the system and the surface energy term ($\propto R^2$) increases the overall energy. Hence, depending on the radius of the cluster, the dominance of the terms changes. Hence, the radius required to overcome the energy barrier has to be calculated by taking the derivative of \Cref{expfreeenergy_eqn_ch2} with respect to the radius and equating it to zero. The critical radius ($R > R_{critical}^{hom}$) for the cluster to avoid remelting and form a homogeneous nucleus is defined as
\begin{equation}
\label{Rcritical_eqn_ch2}
R_{critical}^{hom} = \frac{2\gamma_{sl}}{\rho\Delta{s}\Delta{T}}
\end{equation}

The term $\gamma_{sl}/{\rho\Delta {s}}$ is called as the Gibbs-Thompson co-efficient$\Gamma_{sl}$. From \Cref{Rcritical_eqn_ch2} and \Cref{expfreeenergy_eqn_ch2}, the critical free energy change required for heterogeneous nucleation can be defined as

\begin{equation}
\label{Gcritical_eqn_ch2}
\Delta{G_{critical}^{hom}} = \frac{{16\pi\gamma_{sl}}^3}{3\rho^2{\Delta s}^2{\Delta T^2}}
\end{equation}

\Cref{fig:2_Homonucleation} shows the change in volumetric free energy term, surface energy term and total free energy term as a function of radius of the cluster. Critical radius ($R_c$) of the cluster and homogeneous nucleation barrier ($\Delta G_{n}^{homo}$) is also pointed out in \Cref{fig:2_Homonucleation}
 
 \begin{figure}
   \centering
   \captionsetup{justification=centering,margin=1.75cm}
   \includegraphics[width=5in]{2_Homonucleation.jpg}   
   \caption{Free energy change during homogeneous nucleation of Aluminum \cite{dantzig2016solidification}}
   \label{fig:2_Homonucleation}
  \end{figure}
  
Homogeneous nucleation is an ideal scenario and can be observed in pure metals when extreme care is taken to avoid any impurities.
\\[8pt]
\noindent\textbf{Thermodynamics of heterogeneous nucleation:} Heterogeneous nucleation happens on surfaces of the containers or intentionally added inclusions or unintentional impurities within the liquid melt. For rapid solidification conditions during welding/additive manufacturing and solidification of multicomponent alloy systems, the nucleation is almost always heterogeneous in nature.

\Cref{fig:2_Heteronucleation} shows the formation of cluster on an existing foreign body (substrate) and corresponding surface energy term associated with different interfaces ($\gamma_{sl}$ : solid \& liquid, $\gamma_{fl}$ : foreign body \& liquid, $\gamma_{fs}$ : foreign body \& solid). $\Theta$ is termed as the wetting angle.


 \begin{figure}
   \centering
   \captionsetup{justification=centering,margin=1.75cm}
   \includegraphics[width=4in]{2_Heteronucleation.jpg}   
   \caption{Heterogeneous nucleation on an existing wall or substrate \cite{dantzig2016solidification}}
   \label{fig:2_Heteronucleation}
  \end{figure}

Because of the presence of additional interface, the Gibbs free energy change for heterogeneous nucleation can be formulated similar to \Cref{freeenergy_eqn_ch2}.

\begin{equation}
\label{heterofreeenergy_eqn_ch2}
\Delta G = V*\Delta{g_v} + A_{sl}*\gamma_{sl} + A_{fs}*\left({\gamma_{fs}-\gamma_{fl}}\right)
\end{equation}

The area and volume of the spherical cap can be formulated as a function of wetting angle ($\Theta$) and the radius ($R$). Simplifying the \Cref{heterofreeenergy_eqn_ch2} by substituting the volume and area terms , the equation of free energy change of heterogeneous nucleation is given by \Cref{simpheterofree_eqn_ch2}
\begin{equation}
\label{simpheterofree_eqn_ch2}
\Delta{G} = \left(-\frac{4}{3}\pi{R^3}\rho\Delta{s_f}\Delta{T} + 4\pi{R^2}\gamma_{sl}\right)f(\Theta)
\end{equation}

Similar to \Cref{Rcritical_eqn_ch2} and \Cref{Gcritical_eqn_ch2}, the critical radius and critical free energy change for heterogeneous nucleation can be defined as

\begin{equation}
\label{Rcriticalhetero_eqn_ch2}
R_{critical}^{het} = \frac{2\gamma_{sl}}{\rho\Delta{s}\Delta{T}}
\end{equation}

\begin{equation}
\label{Gcriticalhetero_eqn_ch2}
\Delta{G_{critical}^{het}} = \left(\frac{{16\pi\gamma_{sl}}^3}{3\rho^2{\Delta s}^2{\Delta T^2}}\right)f\left(\Theta\right)
\end{equation}

where,

\begin{equation}
\label{ftheta_eqn_ch2}
f\left(\Theta\right) = \frac{\left(2+\cos{\Theta}\right){\left(1-\cos{\Theta}\right)}^2}{4}
\end{equation}

\Cref{Gcriticalhetero_eqn_ch2} and \Cref{Gcritical_eqn_ch2}, it can be noted that when $f(\Theta)=1$, i.e, the spherical cap is completely spherical ($\Theta=180\textdegree$), the energy barrier for heterogeneous nucleation is equal to the energy barrier for homogeneous nucleation. When $f(\Theta)=0$ or complete wetting $\Theta=0\textdegree$), the energy barrier for heterogeneous nucleation is zero. Heterogeneous nucleation  energy barrier is always less than or equal to the homogeneous nucleation energy barrier. \Cref{fig:2_Gcomparison} compares the energy barrier for homogeneous, heterogeneous nucleation and epitaxial growth. It can be observed that the epitaxial growth has no energy barrier to grow from the existing substrate of the same material (example: growth from fragmented dendrites).
 
 \begin{figure}
   \centering
   \captionsetup{justification=centering,margin=1.75cm}
   \includegraphics[width=4in]{2_Gcomparison.jpg}   
   \caption{Qualitative Comparison of  free energy change required for homogeneous, heterogeneous nucleation and epitaxial growth. \cite{david1989correlation}}
   \label{fig:2_Gcomparison}
  \end{figure}

\noindent\textbf{Undercooling}: The term $\Delta T$ is \Cref{Gcriticalhetero_eqn_ch2}  and \Cref{Gcritical_eqn_ch2} is termed as undercooling or supercooling. For a give composition of an alloy system, amount of undercooling plays crucial role for nucleation. Higher the undercooling, easier the nucleation. It is the sum of 4 major types of undercooling$\Delta T = \Delta T_{C} + \Delta T_{th} + \Delta T_{k} + \Delta T_{curv}$.

\begin{description}
  \item[$\bullet$] Thermal Undercooling ($\Delta T_{th}$) : Undercooling the liquid bath below the melting point for nucleation. This type of undercooling plays vital role only when nucleation due to other means are difficult. For rapid solidification conditions, this is negligible.
  \item[$\bullet$] Kinetic Undercooling ($\Delta T_{k}$) : This is directly proportional to the rate of attachment of atoms to form nucleus. For all metal solidification processes, this value is comparatively smaller (<1K).
  \item[$\bullet$] Curvature Undercooling ($\Delta T_{curv}$) : When there is curvature at the liquid-solid interface, the surface energy term in the energy barrier changes with respect to the curvature. The undercooling associated with that is called curvature undercooling.   
  \item[$\bullet$] Constitutional Undercooling ($\Delta T_{C}$) : During solidification, rejection of solutes at the liquid-solid interface reduces the freezing point of the enriched region due to difference in composition. This is termed as constitutional supercooling. This plays significant role in determining the morphology during rapid solidification of alloy systems and is explained in the following section.
\end{description}
 
\subsubsection{Growth}
Growth is followed by nucleation. Depending on different solidification conditions, the growth will result in different grain morphology . \Cref{fig:2_GRref} shows a schematic of different solidification morphology as a function of processing conditions namely 
\begin{description}
 \item[$\bullet$] Thermal Gradient at the liquid-solid interface :  \textbf{$G$}
 \item[$\bullet$] Velocity of the liquid-solid interface : \textbf{$R$}
\end{description}   


 \begin{figure}
   \centering
   \captionsetup{justification=centering,margin=1.75cm}
   \includegraphics[width=4in]{2_GRref.jpg}   
   \caption{Variation of solidification morphology as a function of \textbf{G} and \textbf{R}}
   \label{fig:2_GRref}
  \end{figure}

Effect of constitutional supercooling is significant in determining the stability of the interface and nucleation ahead of the interface. These two factors (stability and nucleation) are significant in dictating the solidification grain morphology.
\\[8pt]
To understand constitutional supercooling, non-equilibrium (no diffusion in solid) solidification aspect of the phase diagram has to be understood. Rapid solidification during welding and additive manufacturing is non-equilibrium in nature. \Cref{fig:2_const} (a) shows the the schematic of a phase diagram of an alloy with equilibrium solute concentration of $C_o$. As the temperature drops below the liquidus, the absence of diffusion in solid results in rejection of solute to the liquid at the interface. Increase in concentration of the solute st the interface is schematically shown in \Cref{fig:2_const} (b). From \Cref{fig:2_const} (a), it can be observed that increasing the concentration of the solute reduces the liquidus temperature locally. 

 \begin{figure}
   \centering
   \captionsetup{justification=centering,margin=1.75cm}
   \includegraphics[width=6in]{2_const.jpg}   
   \caption{(a) Phase Diagram with respect to solute concentration (b) Solute enrichment at the interface}
   \label{fig:2_const}
  \end{figure}

\Cref{fig:2_constG} (b) shows the schematic of change in liquidus temperature as a function of distance from the liquid-solid interface. The slope of the curve is the thermal gradient at the interface. If the processing thermal gradient (actual thermal gradient) is higher than the theoretical thermal gradient, then there will be no constitutional supercooling. If the processing thermal gradient is controlled and reduced, there will be undercooled region ahead of the solidification front. The region can be measured by the area of the curve overlapping with the processing thermal gradient.   

 \begin{figure}
   \centering
   \captionsetup{justification=centering,margin=1.75cm}
   \includegraphics[width=3in]{2_constG.jpg}   
   \caption{(a) Solute enrichment (b) No constitutional undercooling at the interface (c) Presence of constitutional undercooling}
   \label{fig:2_constG}
  \end{figure}

Based on processing conditions, the condition for constitutional super cooling can be derived with respect to alloy system. The criteria for constitutional supercooling to occur is 
\begin{equation}
\label{GRcond_eqn_ch2}
\frac{G}{R} < \frac{T_l-T_s}{D_L}
\end{equation}
where $G$ is thermal gradient at the interface, $R$ is the velocity of the interface, $T_l$ and $T_s$ is the liquidus and solidus of the alloy system, $D_L$ is the diffusion co-efficient of the the solute in the liquid.
\\
There are 2 ways in which constitutional supercooling can be introduced in the melt
\begin{description}
 \item[$\bullet$] By changing the processing conditions affecting solidification.  
 \item[$\bullet$] By changing the composition of the alloy.
\end{description}
\Cref{fig:2_constexample} (a) shows the breakdown of solid-liquid interface (from planar to cellular due to solute segregation) of a metal analog system (pivolic acid) as a function of time. \Cref{fig:2_constexample} (b) shows the variation in solidification morphology during solidification of carbon tetrabromide through increase of constitutional supercooling by increasing the amount of impurity in the melt.   

 \begin{figure}
   \centering
   \captionsetup{justification=centering,margin=1.75cm}
   \includegraphics[width=6in]{2_constexample.jpg}   
   \caption{(a) Breakdown of liquid-solid interface due to solute rejection as a function of time (b) Change in morphology by introducing impurity \cite{kou2003welding}}
   \label{fig:2_constexample}
  \end{figure}
   
 
\subsection{Evolution of Microstructure in Rapid Solidification Processes}
\subsubsection{Lessons from Welding Literature}
The grains grow normal to the interface of the melt pool which is the direction of resultant thermal gradient. Hence, shape of the melt pool is crucial for the resultant microstructure. Shape of the melt pool is determined by the velocity of the welding heat source and thermal diffusivity of the material. The shape will be circular if the welding velocity is very small \cite{kou2003welding}. As the velocity is increased the shape becomes elliptical and on further increasing the velocity, it becomes tear drop shaped. In electron beam AM process, the velocity of the heat source for melting can be in the range of 4-10 m/s. In such case, it is possible for the melt pool to be elongated such that it becomes a linear heat source. When the melt pool is elongated with high aspect ratio, the grains grow perpendicular to the direction of the melt pool. Effect of oscillation of heat source on microstrucutre has also been reported. \Cref{fig:2_weld} shows the effect micrstructure variation with respect to change in the linear speed of the welding torch and also due to oscillation of the welding torch. 

 \begin{figure}
   \centering
   \captionsetup{justification=centering,margin=1.75cm}
   \includegraphics[width=6in]{2_weld.jpg}   
   \caption{Epitaxial grain growth at (a) High velocity (b) Low velocity (c) Oscillation\cite{kou2003welding}}
   \label{fig:2_weld}
  \end{figure}
  
To promote finer grains during weld through nucleation, different engineering approaches have been made. Kou et al \cite{kou1986nucleation, kou2003welding} proposed multiple strategies including dendritic fragmentation and promoting nucleation by blowing cooling gas at the top surface. Heterogeneous nucleation by adding $TiB_2$ particles in aluminum welds \cite{easton1999grain} is also reported. Lim et al. \cite{lim2010effect} used magnetic stirring to break down the long columnar grains. \Cref{fig:2_stirring} shows comparison of the EBSD data of solidification of gas tungsten arc welding (GTAW)of a nickel alloy without (\Cref{fig:2_stirring} (a)) and with magnetic stirring(\Cref{fig:2_stirring} (b)). The evaluation was done over a range of stirring frequencies (1.5 - 50 Hz). The maximum amount of misorientated grain growth was reported to be at 7 Hz. In addition to dendrite fragmentation, this might also be attributed to the spatiotemporal variation of solidification velocity and thermal gradient promoting nucleation ahead of solidification front due to constitutional supercooling. These results prove the significance of weld path or scan strategy in additive manufacturing to control the solidification microstructure. 

 \begin{figure}
   \centering
   \captionsetup{justification=centering,margin=1.25cm}
   \includegraphics[width=5in]{2_stirring.jpg}   
   \caption{EBSD of (a) unstirred melt pool vs (b) with magnetic stirring at 7Hz. \cite{lim2010effect}}
   \label{fig:2_stirring}
  \end{figure}

Few of the most relevant works to this research are the study of repair of single crystal blades. G$\ddot{a}$umann et al. \cite{gaumann2001single, gaumann1997nucleation} and  Vitek \cite{vitek2005effect} studied the formation of stray grains during the welding of single crystal turbine blade as a function of weld input parameters. It was shown that the formation of stray grains can be controlled by changing the process parameters (including weld velocity and beam diameter) which in turn controls the local solidification parameters of \textbf{G} and \textbf{R}. Theoretical formulation of the relationship between the stray grain formation and solidification parameters (\textbf{G},\textbf{R}) is given in \Cref{ch:chapter_5}.   
\\[8pt]
The fundamental understanding of the correlation between the process parameters and solidification microstructure in welding can be translated to AM process.
\subsection{Electron Beam Welding}
History of usage of electron beam as heat source dates back to 1905 when Marcello von Pirani designed an electron beam furnace to melt tantalum powder \cite{schultz1994electron}. In 1958, first successful electron beam welding was done on Zircaloy plates (5mm thick) \cite{electronindus1983}. One of the significant advantages of electron beam heat source compared to other heat sources is the power density. Power density of current electron beam systems is around $10^11 - 10^12 W/m^2$ compared to $10^9 W/m^2$ for arc welding processes \cite{schultz1994electron}. Due to such high energy density, the electron beam welding exhibits high depth to width ratio of the melt pool and is extensively used in joining of thick plates. The power of the most powerful electron beam welder developed till now is $300kW$ with an accelerating  voltage of $60kV$ which is capable of penetrating into 12 inches of steel \cite{elmer2009introduction}.   
\\[8pt]
Primary energy transfer mechanism in electron beam melting is the transfer of kinetic energy $\left(\frac{1}{2}mv^2\right)$ from the beam to the substrate or material to be welded. The mass of the impinging beam is decided by the current (amount of electrons) and the velocity is dictated by the accelerating voltage. At an accelerating voltage of $60kV$, the electrons travels at a speed of $1.5x10^8 m/s$ \cite{schultz1994electron}. At such high speeds, the mass of an electron increases by 35\%. \Cref{fig:2_electronvelocity} shows the variation of velocity of the electrons with respect to the accelerating voltage. 

 \begin{figure}
   \centering
   \captionsetup{justification=centering,margin=1.25cm}
   \includegraphics[width=5in]{2_electronvelocity.jpg}   
   \caption{Velocity of electrons as a function of accelerating voltage.\cite{schultz1994electron}}
   \label{fig:2_electronvelocity}
  \end{figure}
 

There are 4 important components in any electron beam melting systems.
\begin{description}
  \item[$\bullet$] Cathode to generate electrons - made up of high melting point elements (tungsten or tantalum). 
  \item[$\bullet$] Anode to accelerate the generated electrons.
  \item[$\bullet$] Focusing coils to focus the accelerated electrons.
  \item[$\bullet$] Electromagnetic beam deflection coils to deflect the beam to required co-ordinates.
\end{description} 

During the impingement of electrons on the substrate, the few of the electrons undergo elastic reflection by the electrons in the substrate and are called primary electrons. Further, some conduction electrons from the substrate are ejected by the collision with the incoming electrons. the ejected electrons are termed as secondary electrons. Primary and secondary electrons are called back scattered electrons. Scattered electrons contribute to reduction of energy transfer efficiency. But, in general, the energy transfer efficiency is high $\left(\thicksim 0.9\right)$ in electron beam processes compared to other heat source interaction like arc and laser \cite{messler2008principles}. In addition, X-rays are emitted due to the loss in energy of the reflected primary electrons. The penetration depth of the electrons is dictated by the accelerating voltage and the density of the substrate. Comprehensive details on the application of electron beam welding in aerospace, automobile, construction and medical device fabrication is given in chapter 10 of the book "Electron Beam Welding" by Schultz \cite{schultz1994electron}.
\\[8pt]
Electron beam welding has been extensively used in dissimilar metal weldings as well. A review article by Sun et al. \cite{sun1996application} describes the successful application and challenges of electron beam for dissimilar welding. Due to high energy density, electron beam welding is used to join refractory elements (Nb, Mo) with high melting point. For refractory metals like Niobium and Molybdenum, the ductile to brittle transition temperature (DBTT) is increased above the room temperature because of recrystallization and grain growth \cite{sun1996application}. Due to fine beam radius and high cooling rate, the heat affected zone is smaller. Hence, by using electron beam welding, the brittle cracking can be avoided by reducing or avoiding the amount of recrystallization in the heat affected zone. In addition, since electron beam welding is done in vacuum or inert atmosphere, it is also used to weld reactive metals (Al, Ti alloys). \Cref{fig:2_dissimilar} shows the successful dissimilar metal welding  done using electron beam heat source. Kim and Kawamura \cite{kim2007electron} also reported successful dissimilar electron beam welding of Zr based bulk metallic glass and Titanium. 
  
 \begin{figure}
   \centering
   \captionsetup{justification=centering,margin=1.25cm}
   \includegraphics[width=5in]{2_dissimilar.jpg}   
   \caption{Dissimiliar metal welding using electron beam. \cite{sun1996application}}
   \label{fig:2_dissimilar}
  \end{figure}

Rappaz et al. \cite{rappaz1990analysis} and  David et al. \cite{david1990microstructure} studied the effect of orientation of single crystal substrate (Fe-15Ni-15Cr) on melt pool shape and grain growth during electron beam welding. In addition, Su et al. \cite{su2002electron} studied welding of light weight metals including pure Mg and Mg-Al alloys using electron beam and evaluated the variation in melt pool shape and texture as a function of input power. 
\subsection{Modeling of Rapid Solidification Process}
It is evident that the thermal management in and around the melt pool is important to control the solidification microstructure. Experimental measurement of the soldification parameters (G and R) is challenging. Hence, to reduce the experimental expense in terms of money and time, modeling tools can be employed apriori to understand the effect of process parameters on the spatio-temporal variation of temperature.    
\subsubsection{Analytical Models}
Analytical models are mathematical models derived as closed form solutions. Since the output is expressed as a function of input parameters, analytical models are not computationally expensive compared to numerical models. To understand the temperature distribution in welding applications, one of the most commonly used analytical solution is the Rosenthal equation \cite{rosenthal}. Rosenthal derived the analytical equation for a moving heat source by solving the heat flow equation with appropriate boundary conditions. The 3D analytical formulation for a point heat source moving with velocity \textbf{V} is x-direction is given in \Cref{rosenthal_eqn_ch2}.

\begin{equation}
\label{rosenthal_eqn_ch2}
T = T_o + \left(\frac{\eta Q}{2\pi k\sqrt[2]{x^2+y^2+z^2}}\right)*exp\left(\frac{-V\left(\sqrt[2]{x^2+y^2+z^2}-x\right)}{2\alpha}\right)
\end{equation}

where $T_o$ is the temperature of the substrate, $\eta$ is the efficiency, $Q$ is the beam power, $k$ is the thermal conductivity, $\alpha$ is the thermal diffusivity. This analytical solution does not account for latent heat of fusion. Several analytical models listed in Grong \cite{grong1997metallurgical} have been derived for different boundary conditions based on Rosenthal solution. Few other studies \cite{nunes1983extended, tsai1983heat} built on the initial Rosenthal (analytical) model to include the effect of phase change and convection due to fluid flow. However, since additive manufacturing is highly transient in nature with complex boundary conditions, it becomes difficult to capture the accurate thermal signatures using analytical models. Numerical modeling tools can be used to address this issue.\\
\\[8pt]
In addition to the prediction of thermal field through analytical model, theoretical prediction of "humping" phenomenon has been investigated \cite{gratzke1992theoretical} using Plateau-Rayleigh instability criterion with the assumption that the weld pool is partially bounded cylinder. Width to length ratio of the weld pool was found to be the significant factor in dictating the onset of the "humping" phenomenon. It was concluded that the surface tension affects the kinetics of "humping" phenomenon but not the onset. Lower the width-to-length ratio, higher the instability and vice versa. \Cref{fig:2_hump}(a) shows the humping phenomenon in welding as a function of weld speed and \Cref{fig:2_hump}(b) shows the corresponding process map as a funcntion of power and weld speed. This phenomenon in welding is analogous to the "balling effect" \Cref{fig:2_hump}(c) in electron beam additive manufacturing. Zah at al. \cite{zah2010modelling} did a parametric study and developed a process map to avoid the balling effect. By increasing the power and reducing the velocity, the width-to-length ratio of melt pool increased thereby increasing the stability of the molten pool. This prevented the "balling" during fabrication.  
     
\begin{figure}
   \centering
   \captionsetup{justification=centering}
   \includegraphics[width=6.27in]{2_hump.jpg}   
   \caption{(a) Hump formation during welding as a function of welding speed \cite{nguyen2005humping} (b) Process map of humping as a function of welding speed and power \cite{nguyen2005humping} and (c) Melt ball formation in additive manufacturing \cite{zah2010modelling}.}
   \label{fig:2_hump}
  \end{figure}
 
\subsubsection{Numerical Models}     
In numerical modeling, the physical process is defined as a partial differential equation. The differential equations are then discretized into set of polynomial equations using different discretization techniques (finite difference, finite element, finite volume). The set of polynomial equations are then solved using iterative solvers. Since the solution is obtained in an iterative manner, numerical models are computationally expensive than analytical models.
\\[8pt]
The heat transfer and fluid flow during welding, can be captured by solving 3 conservation equations of mass, momentum and energy. Comprehensive explanation of the conservation equation are given in \Cref{ch:chapter_3} and \Cref{ch:chapter_7}. The numerical modeling of welding phenomenon has been pioneered by Zacharia et al. \cite{zacharia1989three} and Debroy at al. \cite{zhang2003modeling, rai2008heat, he2003heat}. Extensive work has been done by Debroy et al.\cite{zacharia1995modeling, rai2007heat, rai2008heat, he2003heat} on understanding the effect of marangoni flow and weld process parameters of spot welding, repair welding and friction stir welding on the solidification parameters of G and R. 
\\[8pt]
Some studies \cite{price2012evaluations, price2013experimental, mireles2015closed, tapia2014review} employed thermal imaging techniques to measure the surface temperature distribution of the melt pool. The validity of understanding the melt pool behavior by analyzing the surface temperature data using thermal cameras is questioned using heat transfer and fluid flow modeling by Raghavan et al.\cite{raghavan2013heat}. It was proved that the molten pools with similar surface can have significantly different subsurface shapes resulting in different cooling rates at different locations across the melt pool. 
\\[8pt]
In addition, study on evaporation kinetics of weld pool \cite{powell1997transport, debroy1995physical} begun using Langmuir`s equation (\Cref{langmuir_eqn_ch2}).
  
\begin{equation}
\label{langmuir_eqn_ch2}
J = \frac{p_i}{\sqrt{2*\pi*MRT}}
\end{equation}

where \textbf{J} is the evaporation flux, $p_i$ is the vapor pressure of \textbf{$i^{th}$} element in the alloy system, \textbf{M} is the molecular weight, \textbf{R} is the gas constant, \textbf{T} is the temperature. Experimental evidences \cite{khan1984alloying} showed that the Langmuir`s equation holds good at very low pressure environments but tends to over-predict (5-10 times) the amount of vaporization at normal welding conditions and welding at atmospheric pressure \cite{metzbower1993keyhole}. Even at pressure as low as \SI{200}{\micro\meter} of Hg, the expression over-predicted the evaporation rate \cite{sahoo1988effects}. To overcome this drawback and improve the accuracy, in addition to solving equation of mass, momentum and energy, Mundra and Debroy\cite{mundra1993toward} added the equation of translational kinetic energy of vapor near the weld pool surface. Interaction of vapors between the various layers (Knudsen layer, Shielding gas layer) near the weld pool surface was taken into account in the numerical model. 
 \begin{figure}
   \centering
   \captionsetup{justification=centering}
   \includegraphics[width=6in]{2_vapor.jpg}   
   \caption{Comparison of Langmuir`s model and Mundra et al`s model. \cite{mundra1993toward}}
   \label{fig:2_vapor}
  \end{figure}
He et al. \cite{he2003alloying, he2003probing} used the results from numerical modeling to understand the extent of alloying element vaporization during spot welding of steel. They also calculated the mass loss due to ejection of powder particles by calculating the recoil force as a function of pressure difference.
\\[8pt]
Duringn welding, key-holing occurs when the recoil force in the molten pool is greater than the surface tension force holding the molten metal together to the substrate. This causes void in the melt pool thereby increasing the internal reflections of laser. This increases the laser energy deposition desnity on the substrate or weld metal. Rai et al. \cite{rai2007heat} reported the numerical modeling of key-hole welding of Ti-6Al-4V and 304 stainless steel.In addition, "key-hole" mode melting in laser additive manufacturing was reported by King et al.\cite{king2014observation}. A parametric study of single track melting was done in a powder bed laser AM machine (Concept Laser) using 316L stainless steel. This combined experimental and modeling work showed that the ratio of absorbed energy density to melting enthalpy is the key factor determining the transition from conduction mode to key hole mode. Ratio of melt pool depth normalized to the beam diameter as a function of normalized enthalpy is shown in \Cref{fig:2_keyhole}. Transition from conduction mode to key-hole mode can be observed for different values of power.  

 \begin{figure}
   \centering
   \captionsetup{justification=centering}
   \includegraphics[width=5in]{2_keyhole.jpg}   
   \caption{Key-hole mode in AM: Normalized melt pool depth as a function of normalized enthalpy. \cite{king2014observation}}
   \label{fig:2_keyhole}
  \end{figure}

\subsubsection{Feasibility of Site-Specific Microstructure Control in AM}
In general, during the rapid solidification in additive manufacturing processes, the grains grow epitaxially from the previously solidified layers. Formation of highly textured columnar grains along the build direction is a well known phenomenon \cite{liu2011effect, antonysamy2012microstructure, jia2014selective, murr2012metal}. Sames \cite{sames2015additive} reported the formation of textured columnar grains in a electron beam fabricated Inconel 718 (IN718). \Cref{fig:2_sames} shows the electron back scattered diffraction data (EBSD) of planes parallel to build direction (\Cref{fig:2_sames}(b)) and perpendicular (\Cref{fig:2_sames}(a)) to the build direction. This will lead to anisotropic mechanical response of the additively manufactured component. Depending on the slip systems and critically resolved shear stresses, the directional behavior of mechanical response varies for different crystal structures.

 \begin{figure}
   \centering
   \captionsetup{justification=centering}
   \includegraphics[width=6.27in]{2_sames.jpg}   
   \caption{EBSD of  Arcam\textsuperscript{\textregistered} fabricated IN718 (a) XY plane and (b) XZ plane \cite{sames2015additive}.}
   \label{fig:2_sames}
  \end{figure}

Bontha et al. \cite{bontha2009effects} employed combination of analytical and numerical model to analyze the effect of beam velocity and power on the temperature gradient and growth rate at the liquid solid interface of the melt pool to understand the columnar to equiaxed transition in Ti-6Al-4V. Only two (beam velocity and power) of the many available process parameters were considered and the process map generated by the study predicts a range of velocity (2-10mm/s) and beam power (300W-30,000W) which is significantly unusual compared to nominal range of values of beam power (100-2000W). Experimental validation was not reported by Bontha et al. \cite{bontha2009effects} and there are potential practical difficulties in fabrication of the parts with such high values of energy density. 
\\[8pt]
K$\ddot{o}$rner et al. \cite{helmer2016grain} achieved near equiaxed grain growth by using the raster melt pattern. They reduced the hatch spacing from \SI{150}{\micro\meter} to \SI{37.5}{\micro\meter} and increased the velocity from 2.2 m/s to 8.8 m/s to break down the columnar grains. \Cref{fig:2_korner} shows the EBSD of the plane of the samples parallel to the build direction. By reducing the hatch spacing and increasing the velocity of the beam, they were able to breakdown the columnar grains. However, the effect of scan strategy on nucleation and constitutional supercooling was not comprehensively rationalized.     

 \begin{figure}
   \centering
   \captionsetup{justification=centering}
   \includegraphics[width=6.27in]{2_korner.jpg}   
   \caption{EBSD of plane along the build direction (XZ) of Arcam\textsuperscript{\textregistered} fabricated IN718 with hatch spcaing and velocity of (a) \SI{150}{\micro\meter}, 2.2 m/s and (b) \SI{37.5}{\micro\meter}, 8.8 m/s \cite{helmer2016grain}.}
   \label{fig:2_korner}
  \end{figure}

Dehoff et al.\cite{dehoff2015site} demonstrated the columnar to equiaxed transition (CET) in the same layer by introducing pulsed point heat source that resulted in highly misoriented equiaxed grains and columnar grains within the same layer. \Cref{fig:2_DOE_2} shows the combination of melt patterns used and corresponding crystallographic orientation map (XY plane).    
 \begin{figure}
   \centering
   \captionsetup{justification=centering}
   \includegraphics[width=6.27in]{2_DOE_2.jpg}   
   \caption{Crystallographic Texture Engineering by Modification of Melt Pattern \cite{dehoff2015site}}
   \label{fig:2_DOE_2}
  \end{figure}
 
From \Cref{fig:2_DOE_2}(b), it can be noted in that the grains are oriented along preferred $<001>$ direction in the region 3 where the raster melt pattern is used and misoriented grains in region 2 and combination of oriented and misoriented grains in region 1. There is no prior work on the numerical modeling of heat transfer phenomenon in the application of point heat source scan strategy in AM which quantifies the effect all the process parameters that assists in controlling the grain orientation as demonstrated by Dehoff et al. \cite{dehoff2015site}.   
 
\section{Scientific Gaps and Research Plan}
\subsection{Research Gaps}
However, none of the aforementioned studies have been extended to design a new melt strategy for site-specific control over grain morphology and grain size in metal additive manufacturing by predicting the spatial and temporal variation of thermal gradient (G) and liquid-solid interface velocity (R). The crux of this work is to introduce new melt scan strategies for electron beam additive manufacturing system and predict the transient solidification conditions \textit{a-priori} using a heat transfer and fluid flow modeling tool. To be precise, the primary research questions to be addressed are
\begin{description}
  \item[$\bullet$] Is it possible to predict spatio-temporal variation of solidification conditions using numerical model and use the data in already developed theoretical models developed for rapid solidification in welding?
  \item[$\bullet$] Is it possible to control the columnar grains size in bulk sample fabricated through electron beam AM system?
  \item[$\bullet$] Is it possible to change the bulk grain morphology of additvely manufactured samples from columnar to equiaxed?
\end{description}      
\subsection{Material System}
Inconel 718 has been used as the processing material in this research work. Inconel 718 ($IN718$) is a precipitation strengthened nickel-base superalloy that has excellent mechanical properties at elevated temperatures primarily used in gas turbine engines in aircraft and power generation industries. The matrix ($\gamma$) has face centered cubic (FCC) crystal structure. Primary strengthening precipitate ($\gamma''$-$Ni_3Nb$) has Body Centered Tetragonal (BCT -DO22) crystal structure. Contribution of gamma prime ($\gamma'$-$Ni_3(Al,Ti)$, LI2 crystal structure) to strengthening is significantly lesser due to lower concentration of Al and Ti compared to Nb. These phases ($\gamma'$, $\gamma''$) are coherent with the $\gamma$ matrix with similar lattice parameters. IN718 is a highly weldable nickel alloy compared to other high $\gamma'$ nickel alloys. MX carbides, laves and delta are the other precipitates that can form inside the gamma matrix. These three precipitates have significantly larger lattice parameters making them incoherent with the matrix. Formation of these precipitates are detrimental to the strength of the material. These carbides, laves and delta phases consume Nb from the matrix reducing the amount of $\gamma''$ precipitation thereby reducing the strength of the material. Nominal chemical composition of IN718 is given in \Cref{tab:comp_ch2}.

\begin{table}
\centering 
\resizebox{\textwidth}{!}{
 $\begin{array} {*{16}{c}} 
 \toprule
   & Ni & Cr & Nb & Mo & Ti & Al & Co & C & Mn & Si & P & S & B & Cu & Fe \\
 \midrule
 \textbf{Min} & 50 & 17 & 4.7 & 2.8 & 0.65 & 0.2 & 1 & 0.08 & 0.35 & 0.35 & 0.015 & 0.015 & 0.006 & 0.3 & bal \\ [1ex] 
 \textbf{Max} & 55 & 21 & 5.5 & 3.3 & 1.15 & 0.8 & max & max & max & max & max & max & max & max & bal \\ [1ex]
 \bottomrule 
 \end{array}$}
 \caption{Nominal composition (wt\%) of Inconel 718 \cite{718compo}.}
 \label{tab:comp_ch2}
 \end{table}

\subsection{Numerical Code}
Three dimensional numerical simulations were performed using the code Truchas\cite{korzekwa2009truchas}. Truchas was developed under the Advanced Simulation and Computing (ASC) program at Los Alamos National Laboratory (LANL) for simulation of metal casting processes. It is an open-source, continuum scale, multi-physics simulation tool designed to solve large problems on parallel high-performance computing (HPC) platforms. Truchas employs physical models for alloy solidification with heat transfer and phase change algorithms accounting for non-isothermal phase change in mushy zones, which is a typical characteristic of complex alloys like IN718. Appropriate user subroutines are written to define the scan strategy and other beam input parameters including the profile of the heat source distribution. A comprehensive explanation of the numerical modeling tool is provided in \Cref{ch:chapter_3}. 
\nopagebreak[4]
\subsubsection{Why Truchas?}
There are many commercial numerical codes like Abaqus, Comsol, Flow3D available to analyze the rapid solidification behavior. One of the main reasons for choosing Truchas is because it is an open source code and has been tested for welding and casting applications \cite{parietti2006validation, francois2006modeling, korzekwa2009truchas, franccois2015recent}. Parietti and Lim \cite{parietti2006validation} validated multiple solidification physics of Truchas by comparing the results of solidification during welding (with and without phase change, with and without convection) with ABAQUS. The code was also validated against experimental results and modeling results by Debroy et al. \cite{he2003probing}. \Cref{tab:truchasvalid_ch2} shows the quantitative comparison of the codes in terms of melt pool width and depth. The results were found in good agreement for both the cases.  

\begin{table}
\centering
 \begin{tabular}{||C{5cm} | C{3 cm} | C{3cm} | C{3cm}||} 
 \hline
   & Truchas & Debroy et al.\cite{he2003probing} & Experiment \\ [1ex] 
 \hline\hline
 Weld pool radius (mm) \linebreak \%difference vs experiment & 0.241\linebreak -23\% & 0.254\linebreak -19\% & 0.313\\ [3ex]
 \hline
 Weld pool depth (mm) \linebreak \%difference vs experiment  & 0.199\linebreak +4.7\% & 0.202\linebreak +6.0\% & 0.190\\ [3ex]
 \hline
 Radius/depth ratio \linebreak \%difference vs experiment  & 1.21\linebreak -27\% & 1.26\linebreak -24\% & 1.65\\
 \hline
\end{tabular}
\caption{Verification and validation of Truchas \cite{parietti2006validation}.}
\label{tab:truchasvalid_ch2}
\end{table}
The code can also be employed on a high performance computing platform. Comparatively, ease of access to developers of the code at Los Alamos National Laboratory was also taken into consideration before choosing this code for this research work. Similar open source software with larger user community like OpenFOAM \cite{weller1998tensorial} can also be used incorporate the physics and evaluate this research work. At the time of beginning of this work, Truchas was the known, parallel capable and tested open-source code with the solidification physics built-in and hence, it was used in this research work.
\nopagebreak[4]
\subsection{Experimental Methodology}
\subsubsection{Part Fabrication}
For experimental validation, the samples were fabricated using Arcam\textsuperscript{\textregistered} S12 and A2 machines located at the Manufacturing Demonstration Facility (MDF) in Oak Ridge National Laboratory (ORNL). The \textit{stl} files were sliced into 2-D layers using Arcam\textsuperscript{\textregistered} build assembler software. An in-house code was developed and used to create a new file defining the proposed melt-scan strategy. The genereated file was fed back into the Arcam\textsuperscript{\textregistered} build assembler to create the Arcam build file (\textit{*.abf}) which was then loaded into the machine for fabrication. 
\subsubsection{Characterization}
The fabricated samples have been cut along the planes parallel (XY plane) and perpendicular (XZ plane) to the build direction. The samples are then mounted and well-polished (<\SI{1}{\micro\metre}) for characterization. Optical microscopy has been used to study the grain structure and analyze the primary dendrite arm spacing of the etched sample. To reveal the dendrites, the samples were etched using a mixture of nitric acid, acetic acid and hydrochloric acid in equal proportion (1:1:1). {\textit{Leica DM4000 M} instrument has been used to perform optical microscopy. Further, to understand the variation in grain morphology, crystallographic orientation, and texture variation, a scanning electron microscope (SEM - \textit{Leica DM4000 M}) equipped with electron back scattered diffraction (EBSD) detector has been used. 

